Subject: Re: bug#8179: 24.0.50; vc thinks that SVN takes care of all my files

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Tue, 15 Mar 2011 21:37:04 +0100

Glenn Morris <[email-masked]> writes:

> We're only talking about unregistered files, right?

No, it seems to fail on registered files, too.

Here's my test case:

$ mkdir ~/.svn

Then I go to ~/pgnus/lisp/ChangeLog which is covered by git, and I edit
the file, and when I try to save it, I get this error message:

apply: Searching for program: no such file or directory, svn

Also, if I just say `M-x vc-dir ~/pgnus/lisp', then I get the same
error, but that's with an "unregistered file", sort of?

> Anyway, I think investigating if it can be made to work the other way
> would be a worthwhile experiment.

Yup.

-- 
(domestic pets only, the antidote for overdose, milk.)
  [email-masked] * Lars Magne Ingebrigtsen